> For the complete documentation index, see [llms.txt](https://docs.kanalabs.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kanalabs.io/perpetual-futures/kana-perps/api-docs/supported-markets.md).

# Supported Markets

### Testnet Supported Markets

<table data-header-hidden><thead><tr><th></th><th width="282"></th><th></th></tr></thead><tbody><tr><td><strong>Asset</strong></td><td><strong>Market ID</strong></td><td><strong>Description</strong></td></tr><tr><td>APT-USD</td><td>1338</td><td>Aptos-based trading market.</td></tr><tr><td>BTC-USD</td><td>1339</td><td>Bitcoin-based trading market.</td></tr><tr><td>ETH-USD</td><td>1340</td><td>Ethereum-based trading market.</td></tr><tr><td>SOL-USD</td><td>2387</td><td>Solana-based trading market.</td></tr></tbody></table>

### Mainnet Supported Markets

<table data-header-hidden><thead><tr><th></th><th width="282"></th><th></th></tr></thead><tbody><tr><td><strong>Asset</strong></td><td><strong>Market ID</strong></td><td><strong>Description</strong></td></tr><tr><td>APT-USD</td><td>14</td><td>Aptos-based trading market.</td></tr><tr><td>BTC-USD</td><td>15</td><td>Bitcoin-based trading market.</td></tr><tr><td>ETH-USD</td><td>16</td><td>Ethereum-based trading market.</td></tr><tr><td>SOL-USD</td><td>31</td><td>Solana-based trading market.</td></tr></tbody></table>

### API Endponit URL:

#### ✅ **Testnet API  Endpoint URL**

```typescript
https://perps-tradeapi.kanalabs.io
```

#### ✅ **Mainnet API Endpoint URL**

```typescript
https://perps-tradeapi.kana.trade
```

### **API** **Examples:**&#x20;

[Typescript REST API Examples](https://docs.kanalabs.io/perpetual-futures/kana-perps/api-docs/kana-perps-typescript-rest-api)

[Python REST API Examples](https://docs.kanalabs.io/perpetual-futures/kana-perps/api-docs/kana-perps-python-rest-api)

### **WebSocket URL:**

#### ✅ **Testnet WebSocket URL**

```typescript
wss://perpetuals-indexer-ws-develop.kanalabs.io/ws/
```

#### ✅ **Mainnet WebSocket URL**

```typescript
wss://perpetuals-indexer-ws.kana.trade/ws/
```

### **Websocket Connection Endpoints Link:**&#x20;

[WebSocket Connection](https://docs.kanalabs.io/perpetual-futures/kana-perps/api-docs/websocket-connection)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kanalabs.io/perpetual-futures/kana-perps/api-docs/supported-markets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
